=== debian/control ===
--- 
+++ 
@@ -10,18 +10,18 @@
 Rules-Requires-Root: no
 Build-Depends:
  bison,
- clang-6.0 [amd64 i386],
- debhelper (>= 9),
+ clang [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
+ debhelper-compat (= 13),
  dh-exec (>= 0.13~),
  docbook-xml,
  docbook-xsl (>= 1.77),
  dpkg-dev (>= 1.16.1~),
  flex,
  gettext,
- krb5-multidev,
  libedit-dev,
  libicu-dev,
  libipc-run-perl <!nocheck>,
+ libkrb5-dev,
  libldap2-dev,
  libpam0g-dev | libpam-dev,
  libperl-dev,
@@ -31,9 +31,10 @@
  libxml2-dev,
  libxml2-utils,
  libxslt1-dev,
- llvm-6.0-dev [amd64 i386],
+ llvm-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
  perl (>= 5.8),
  pkg-config,
+ postgresql-common (>= 233~),
  python3-dev,
  systemtap-sdt-dev,
  tcl-dev,
@@ -142,7 +143,9 @@
  tzdata,
  ${misc:Depends},
  ${shlibs:Depends}
-Provides: postgresql-contrib-12
+Provides:
+ postgresql-contrib-12,
+ postgresql-12-jit-llvm (= ${llvm:Version}) [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
 Recommends: sysstat
 Description: The World's Most Advanced Open Source Relational Database
  PostgreSQL, also known as Postgres, is a free and open-source relational
@@ -153,18 +156,8 @@
  a range of workloads, from single machines to data warehouses or Web services
  with many concurrent users.
  .
- This package provides the database server for PostgreSQL 12.
+ This package provides the database server for PostgreSQL 12.${cassert}
 XB-Postgresql-Catversion: ${postgresql:Catversion}
-
-Package: postgresql-12-dbg
-Section: debug
-Priority: optional
-Architecture: any
-Depends: postgresql-12 (= ${binary:Version}), ${misc:Depends}
-Description: debug symbols for postgresql-12
- This package provides detached debugging symbols for PostgreSQL 12.
- .
- PostgreSQL is an object-relational SQL database management system.
 
 Package: postgresql-client-12
 Architecture: any
@@ -196,9 +189,9 @@
 Architecture: any
 Section: libdevel
 Depends:
- clang-6.0 [amd64 i386],
+ clang-${llvm:Version} [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
  libpq-dev (>= 12~~),
- llvm-6.0-dev [amd64 i386],
+ llvm-${llvm:Version}-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
  postgresql-client-12 (>= 12.1-2~),
  postgresql-common (>= 142~),
  ${misc:Depends},
