=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Build-Depends:
  bison,
  clang [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
- debhelper-compat (= 13),
+ debhelper (>= 10),
  dh-exec (>= 0.13~),
  docbook-xml,
  docbook-xsl (>= 1.77),
@@ -31,7 +31,7 @@
  libxml2-dev,
  libxml2-utils,
  libxslt1-dev,
- llvm-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
+ llvm-6.0-dev [amd64 i386],
  perl (>= 5.8),
  pkg-config,
  postgresql-common (>= 233~),
@@ -145,7 +145,6 @@
  ${shlibs:Depends}
 Provides:
  postgresql-contrib-12,
- postgresql-12-jit-llvm (= ${llvm:Version}) [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
 Recommends: sysstat
 Description: The World's Most Advanced Open Source Relational Database
  PostgreSQL, also known as Postgres, is a free and open-source relational
@@ -189,9 +188,9 @@
 Architecture: any
 Section: libdevel
 Depends:
- clang-${llvm:Version} [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
+ clang-6.0 [amd64 i386],
  libpq-dev (>= 12~~),
- llvm-${llvm:Version}-dev [!alpha !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32],
+ llvm-6.0-dev [amd64 i386],
  postgresql-client-12 (>= 12.1-2~),
  postgresql-common (>= 142~),
  ${misc:Depends},
